﻿@using TaskTracker.Models.Account;
@model RegisterViewModel
@{
    Layout = "~/Views/Shared/_NoSidebar.cshtml";
}
<div id="main-wrapper">
    <div class="position-relative overflow-hidden radial-gradient min-vh-100 w-100">
        <div class="position-relative z-index-5">
            <div class="row">
                <div class="col-xl-6 col-xxl-7">
                    <a href="../main/index.html" class="text-nowrap logo-img d-block px-4 py-9 w-100">
                        <img src="/images/dark-logo.png" class="dark-logo" alt="Logo-Dark">
                    </a>
                    <div class="d-none d-xl-flex align-items-center justify-content-center" style="height: calc(100vh - 80px);">
                        <img src="https://bootstrapdemos.adminmart.com/modernize/dist/assets/images/backgrounds/login-security.svg" alt="" class="img-fluid" width="500">
                    </div>
                </div>
                <div class="col-xl-6 col-xxl-5">
                    <div class="authentication-login min-vh-100 bg-body row justify-content-center align-items-center p-4">
                        <div class="col-sm-8 col-md-6 col-xl-9">
                            <h2 class="mb-4 fs-7 fw-bolder">Welcome to TaskTracker</h2>
                            <p class=" mb-9">Organize, streamline and make your tasks smarter!</p>
                            <form asp-controller="account" asp-action="register" method="post">
                                <div class="form-group mb-3">
                                    <label asp-for="Name" class="form-label">Name</label>
                                    <input type="text" class="form-control" asp-for="Name" placeholder="Enter your name">
                                    <span asp-validation-for="Name" class="text-danger"></span>
                                </div>
                                <div class="form-group mb-3">
                                    <label asp-for="Email" class="form-label">Email</label>
                                    <input type="text" class="form-control" asp-for="Email" placeholder="Enter e-mail">
                                    <span asp-validation-for="Email" class="text-danger"></span>
                                </div>
                                <div class="form-group mb-3">
                                    <label class="form-label" asp-for="Password">Password</label>
                                    <div class="position-relative">
                                        <input type="password" class="form-control" asp-for="Password" placeholder="Enter password">
                                    </div>
                                    <span asp-validation-for="Password" class="text-danger"></span>
                                </div>
                                <div class="form-group mb-3">
                                    <label class="form-label" asp-for="ConfirmPassword">Confirm Password</label>
                                    <div class="position-relative">
                                        <input type="password" class="form-control" asp-for="ConfirmPassword" placeholder="Enter password">
                                    </div>
                                    <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                                </div>
                                <button type="submit" class="btn btn-primary w-100 py-8 mb-4 rounded-2">Sign Up</button>
                                <div class="d-flex align-items-center">
                                    <p class="fs-4 mb-0 text-dark">Already have an Account?</p>
                                    <a class="text-primary fw-medium ms-2" asp-controller="account" asp-action="login">Sign In</a>
                                </div>
                                <div class="validation-summary text-danger">
                                    @Html.ValidationSummary(true, "")
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>